﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RWTextEdit
{
    class SystemErrorCodes
    {
        public const Int32 ERROR_ACCESS_DENIED = 5;
        public const Int32 ERROR_ADAP_HDW_ERR = 57;
        public const Int32 ERROR_ALREADY_ASSIGNED = 85;
        public const Int32 ERROR_ALREADY_EXISTS = 183;
        public const Int32 ERROR_ARENA_TRASHED = 7;
        public const Int32 ERROR_ATOMIC_LOCKS_NOT_SUPPORTED = 174;
        public const Int32 ERROR_AUTODATASEG_EXCEEDS_64k = 199;
        public const Int32 ERROR_BAD_ARGUMENTS = 160;
        public const Int32 ERROR_BAD_COMMAND = 22;
        public const Int32 ERROR_BAD_DEV_TYPE = 66;
        public const Int32 ERROR_BAD_DRIVER_LEVEL = 119;
        public const Int32 ERROR_BAD_ENVIRONMENT = 10;
        public const Int32 ERROR_BAD_EXE_FORMAT = 193;
        public const Int32 ERROR_BAD_FILE_TYPE = 222;
        public const Int32 ERROR_BAD_FORMAT = 11;
        public const Int32 ERROR_BAD_LENGTH = 24;
        public const Int32 ERROR_BAD_NET_NAME = 67;
        public const Int32 ERROR_BAD_NET_RESP = 58;
        public const Int32 ERROR_BAD_NETPATH = 53;
        public const Int32 ERROR_BAD_PATHNAME = 161;
        public const Int32 ERROR_BAD_PIPE = 230;
        public const Int32 ERROR_BAD_REM_ADAP = 60;
        public const Int32 ERROR_BAD_THREADID_ADDR = 159;
        public const Int32 ERROR_BAD_UNIT = 20;
        public const Int32 ERROR_BROKEN_PIPE = 109;
        public const Int32 ERROR_BUFFER_OVERFLOW = 111;
        public const Int32 ERROR_BUSY_DRIVE = 142;
        public const Int32 ERROR_BUSY = 170;
        public const Int32 ERROR_CALL_NOT_IMPLEMENTED = 120;
        public const Int32 ERROR_CANCEL_VIOLATION = 173;
        public const Int32 ERROR_CANNOT_COPY = 266;
        public const Int32 ERROR_CANNOT_MAKE = 82;
        public const Int32 ERROR_CHECKOUT_REQUIRED = 221;
        public const Int32 ERROR_CHILD_NOT_COMPLETE = 129;
        public const Int32 ERROR_CRC = 23;
        public const Int32 ERROR_CURRENT_DIRECTORY = 16;
        public const Int32 ERROR_DELETE_PENDING = 303;
        public const Int32 ERROR_DEV_NOT_EXIST = 55;
        public const Int32 ERROR_DIR_NOT_EMPTY = 145;
        public const Int32 ERROR_DIR_NOT_ROOT = 144;
        public const Int32 ERROR_DIRECT_ACCESS_HANDLE = 130;
        public const Int32 ERROR_DIRECTORY = 267;
        public const Int32 ERROR_DISCARDED = 157;
        public const Int32 ERROR_DISK_CHANGE = 107;
        public const Int32 ERROR_DISK_FULL = 112;
        public const Int32 ERROR_DISK_TOO_FRAGMENTED = 302;
        public const Int32 ERROR_DRIVE_LOCKED = 108;
        public const Int32 ERROR_DUP_NAME = 52;
        public const Int32 ERROR_DYNLINK_FROM_INVALID_RING = 196;
        public const Int32 ERROR_EA_FILE_CORRUPT = 276;
        public const Int32 ERROR_EA_LIST_INCONSISTENT = 255;
        public const Int32 ERROR_EA_TABLE_FULL = 277;
        public const Int32 ERROR_EAS_DIDNT_FIT = 275;
        public const Int32 ERROR_EAS_NOT_SUPPORTED = 282;
        public const Int32 ERROR_ENVVAR_NOT_FOUND = 203;
        public const Int32 ERROR_EXCL_SEM_ALREADY_OWNED = 101;
        public const Int32 ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY = 217;
        public const Int32 ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY = 218;
        public const Int32 ERROR_EXE_MACHINE_TYPE_MISMATCH = 216;
        public const Int32 ERROR_EXE_MARKED_INVALID = 192;
        public const Int32 ERROR_FAIL_I24 = 83;
        public const Int32 ERROR_FAIL_NOACTION_REBOOT = 350;
        public const Int32 ERROR_FAIL_RESTART = 352;
        public const Int32 ERROR_FAIL_SHUTDOWN = 351;
        public const Int32 ERROR_FILE_CHECKED_OUT = 220;
        public const Int32 ERROR_FILE_EXISTS = 80;
        public const Int32 ERROR_FILE_NOT_FOUND = 2;
        public const Int32 ERROR_FILE_TOO_LARGE = 223;
        public const Int32 ERROR_FILENAME_EXCED_RANGE = 206;
        public const Int32 ERROR_FORMS_AUTH_REQUIRED = 224;
        public const Int32 ERROR_GEN_FAILURE = 31;
        public const Int32 ERROR_HANDLE_DISK_FULL = 39;
        public const Int32 ERROR_HANDLE_EOF = 38;
        public const Int32 ERROR_IMAGE_SUBSYSTEM_NOT_PRESENT = 308;
        public const Int32 ERROR_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING = 304;
        public const Int32 ERROR_INFLOOP_IN_RELOC_CHAIN = 202;
        public const Int32 ERROR_INSUFFICIENT_BUFFER = 122;
        public const Int32 ERROR_INVALID_ACCESS = 12;
        public const Int32 ERROR_INVALID_ADDRESS = 487;
        public const Int32 ERROR_INVALID_AT_INTERRUPT_TIME = 104;
        public const Int32 ERROR_INVALID_BLOCK = 9;
        public const Int32 ERROR_INVALID_CATEGORY = 117;
        public const Int32 ERROR_INVALID_DATA = 13;
        public const Int32 ERROR_INVALID_DRIVE = 15;
        public const Int32 ERROR_INVALID_EA_HANDLE = 278;
        public const Int32 ERROR_INVALID_EA_NAME = 254;
        public const Int32 ERROR_INVALID_EVENT_COUNT = 151;
        public const Int32 ERROR_INVALID_EXE_SIGNATURE = 191;
        public const Int32 ERROR_INVALID_FLAG_NUMBER = 186;
        public const Int32 ERROR_INVALID_FUNCTION = 1;
        public const Int32 ERROR_INVALID_HANDLE = 6;
        public const Int32 ERROR_INVALID_LEVEL = 124;
        public const Int32 ERROR_INVALID_LIST_FORMAT = 153;
        public const Int32 ERROR_INVALID_LOCK_RANGE = 307;
        public const Int32 ERROR_INVALID_MINALLOCSIZE = 195;
        public const Int32 ERROR_INVALID_MODULETYPE = 190;
        public const Int32 ERROR_INVALID_NAME = 123;
        public const Int32 ERROR_INVALID_OPLOCK_PROTOCOL = 301;
        public const Int32 ERROR_INVALID_ORDINAL = 182;
        public const Int32 ERROR_INVALID_PARAMETER = 87;
        public const Int32 ERROR_INVALID_PASSWORD = 86;
        public const Int32 ERROR_INVALID_SEGDPL = 198;
        public const Int32 ERROR_INVALID_SEGMENT_NUMBER = 180;
        public const Int32 ERROR_INVALID_SIGNAL_NUMBER = 209;
        public const Int32 ERROR_INVALID_STACKSEG = 189;
        public const Int32 ERROR_INVALID_STARTING_CODESEG = 188;
        public const Int32 ERROR_INVALID_TARGET_HANDLE = 114;
        public const Int32 ERROR_INVALID_VERIFY_SWITCH = 118;
        public const Int32 ERROR_IOPL_NOT_ENABLED = 197;
        public const Int32 ERROR_IS_JOIN_PATH = 147;
        public const Int32 ERROR_IS_JOIN_TARGET = 133;
        public const Int32 ERROR_IS_JOINED = 134;
        public const Int32 ERROR_IS_SUBST_PATH = 146;
        public const Int32 ERROR_IS_SUBST_TARGET = 149;
        public const Int32 ERROR_IS_SUBSTED = 135;
        public const Int32 ERROR_ITERATED_DATA_EXCEEDS_64k = 194;
        public const Int32 ERROR_JOIN_TO_JOIN = 138;
        public const Int32 ERROR_JOIN_TO_SUBST = 140;
        public const Int32 ERROR_LABEL_TOO_LONG = 154;
        public const Int32 ERROR_LOCK_FAILED = 167;
        public const Int32 ERROR_LOCK_VIOLATION = 33;
        public const Int32 ERROR_LOCKED = 212;
        public const Int32 ERROR_MAX_SESSIONS_REACHED = 353;
        public const Int32 ERROR_MAX_THRDS_REACHED = 164;
        public const Int32 ERROR_META_EXPANSION_TOO_LONG = 208;
        public const Int32 ERROR_MOD_NOT_FOUND = 126;
        public const Int32 ERROR_MORE_DATA = 234;
        public const Int32 ERROR_MR_MID_NOT_FOUND = 317;
        public const Int32 ERROR_NEGATIVE_SEEK = 131;
        public const Int32 ERROR_NESTING_NOT_ALLOWED = 215;
        public const Int32 ERROR_NET_WRITE_FAULT = 88;
        public const Int32 ERROR_NETNAME_DELETED = 64;
        public const Int32 ERROR_NETWORK_ACCESS_DENIED = 65;
        public const Int32 ERROR_NETWORK_BUSY = 54;
        public const Int32 ERROR_NO_DATA = 232;
        public const Int32 ERROR_NO_MORE_FILES = 18;
        public const Int32 ERROR_NO_MORE_ITEMS = 259;
        public const Int32 ERROR_NO_MORE_SEARCH_HANDLES = 113;
        public const Int32 ERROR_NO_PROC_SLOTS = 89;
        public const Int32 ERROR_NO_SIGNAL_SENT = 205;
        public const Int32 ERROR_NO_SPOOL_SPACE = 62;
        public const Int32 ERROR_NO_VOLUME_LABEL = 125;
        public const Int32 ERROR_NOT_DOS_DISK = 26;
        public const Int32 ERROR_NOT_ENOUGH_MEMORY = 8;
        public const Int32 ERROR_NOT_JOINED = 136;
        public const Int32 ERROR_NOT_LOCKED = 158;
        public const Int32 ERROR_NOT_OWNER = 288;
        public const Int32 ERROR_NOT_READY = 21;
        public const Int32 ERROR_NOT_SAME_DEVICE = 17;
        public const Int32 ERROR_NOT_SUBSTED = 137;
        public const Int32 ERROR_NOT_SUPPORTED = 50;
        public const Int32 ERROR_NOTIFICATION_GUID_ALREADY_DEFINED = 309;
        public const Int32 ERROR_OPEN_FAILED = 110;
        public const Int32 ERROR_OPLOCK_NOT_GRANTED = 300;
        public const Int32 ERROR_OUT_OF_PAPER = 28;
        public const Int32 ERROR_OUT_OF_STRUCTURES = 84;
        public const Int32 ERROR_OUTOFMEMORY = 14;
        public const Int32 ERROR_PARTIAL_COPY = 299;
        public const Int32 ERROR_PATH_BUSY = 148;
        public const Int32 ERROR_PATH_NOT_FOUND = 3;
        public const Int32 ERROR_PIPE_BUSY = 231;
        public const Int32 ERROR_PIPE_LOCAL = 229;
        public const Int32 ERROR_PIPE_NOT_CONNECTED = 233;
        public const Int32 ERROR_PRINT_CANCELLED = 63;
        public const Int32 ERROR_PRINTQ_FULL = 61;
        public const Int32 ERROR_PROC_NOT_FOUND = 127;
        public const Int32 ERROR_PROCESS_MODE_ALREADY_BACKGROUND = 402;
        public const Int32 ERROR_PROCESS_MODE_NOT_BACKGROUND = 403;
        public const Int32 ERROR_READ_FAULT = 30;
        public const Int32 ERROR_REDIR_PAUSED = 72;
        public const Int32 ERROR_RELOC_CHAIN_XEEDS_SEGLIM = 201;
        public const Int32 ERROR_REM_NOT_LIST = 51;
        public const Int32 ERROR_REQ_NOT_ACCEP = 71;
        public const Int32 ERROR_RING2_STACK_IN_USE = 207;
        public const Int32 ERROR_RING2SEG_MUST_BE_MOVABLE = 200;
        public const Int32 ERROR_SAME_DRIVE = 143;
        public const Int32 ERROR_SCOPE_NOT_FOUND = 318;
        public const Int32 ERROR_SECTOR_NOT_FOUND = 27;
        public const Int32 ERROR_SECURITY_STREAM_IS_INCONSISTENT = 306;
        public const Int32 ERROR_SEEK_ON_DEVICE = 132;
        public const Int32 ERROR_SEEK = 25;
        public const Int32 ERROR_SEM_IS_SET = 102;
        public const Int32 ERROR_SEM_NOT_FOUND = 187;
        public const Int32 ERROR_SEM_OWNER_DIED = 105;
        public const Int32 ERROR_SEM_TIMEOUT = 121;
        public const Int32 ERROR_SEM_USER_LIMIT = 106;
        public const Int32 ERROR_SHARING_BUFFER_EXCEEDED = 36;
        public const Int32 ERROR_SHARING_PAUSED = 70;
        public const Int32 ERROR_SHARING_VIOLATION = 32;
        public const Int32 ERROR_SHORT_NAMES_NOT_ENABLED_ON_VOLUME = 305;
        public const Int32 ERROR_SIGNAL_PENDING = 162;
        public const Int32 ERROR_SIGNAL_REFUSED = 156;
        public const Int32 ERROR_SUBST_TO_JOIN = 141;
        public const Int32 ERROR_SUBST_TO_SUBST = 139;
        public const Int32 ERROR_SUCCESS = 0;
        public const Int32 ERROR_SYSTEM_TRACE = 150;
        public const Int32 ERROR_THREAD_1_INACTIVE = 210;
        public const Int32 ERROR_THREAD_MODE_ALREADY_BACKGROUND = 400;
        public const Int32 ERROR_THREAD_MODE_NOT_BACKGROUND = 401;
        public const Int32 ERROR_TOO_MANY_CMDS = 56;
        public const Int32 ERROR_TOO_MANY_MODULES = 214;
        public const Int32 ERROR_TOO_MANY_MUXWAITERS = 152;
        public const Int32 ERROR_TOO_MANY_NAMES = 68;
        public const Int32 ERROR_TOO_MANY_OPEN_FILES = 4;
        public const Int32 ERROR_TOO_MANY_POSTS = 298;
        public const Int32 ERROR_TOO_MANY_SEM_REQUESTS = 103;
        public const Int32 ERROR_TOO_MANY_SEMAPHORES = 100;
        public const Int32 ERROR_TOO_MANY_SESS = 69;
        public const Int32 ERROR_TOO_MANY_TCBS = 155;
        public const Int32 ERROR_UNEXP_NET_ERR = 59;
        public const Int32 ERROR_VC_DISCONNECTED = 240;
        public const Int32 ERROR_VIRUS_DELETED = 226;
        public const Int32 ERROR_VIRUS_INFECTED = 225;
        public const Int32 ERROR_WAIT_NO_CHILDREN = 128;
        public const Int32 ERROR_WRITE_FAULT = 29;
        public const Int32 ERROR_WRITE_PROTECT = 19;
        public const Int32 ERROR_WRONG_DISK = 34;
        public const Int32 WAIT_TIMEOUT = 258;
    }
}